Bug 861084 - [abrt] emacs-24.1-4.fc17: fatal_error_signal: Process /usr/bin/emacs-24.1 was killed by signal 11 (SIGSEGV)
[abrt] emacs-24.1-4.fc17: fatal_error_signal: Process /usr/bin/emacs-24.1 was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
abrt_hash:3898a1cc2eb9e094565ba7cda70...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 09:26 EDT by Joshua Kordani
Modified: 2013-08-01 04:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:35:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (1.43 KB, text/plain)
2012-09-27 09:26 EDT, Joshua Kordani
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-27 09:26 EDT, Joshua Kordani
no flags Details
File: backtrace (13.82 KB, text/plain)
2012-09-27 09:26 EDT, Joshua Kordani
no flags Details
File: cgroup (129 bytes, text/plain)
2012-09-27 09:26 EDT, Joshua Kordani
no flags Details
File: maps (26.58 KB, text/plain)
2012-09-27 09:26 EDT, Joshua Kordani
no flags Details
File: dso_list (6.13 KB, text/plain)
2012-09-27 09:26 EDT, Joshua Kordani
no flags Details
File: open_fds (448 bytes, text/plain)
2012-09-27 09:26 EDT, Joshua Kordani
no flags Details
File: var_log_messages (222 bytes, text/plain)
2012-09-27 09:26 EDT, Joshua Kordani
no flags Details

  None (edit)
Description Joshua Kordani 2012-09-27 09:26:18 EDT
Version-Release number of selected component:
emacs-24.1-4.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        emacs
crash_function: fatal_error_signal
kernel:         3.5.4-1.fc17.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #2 fatal_error_signal at /usr/src/debug/emacs-24.1/src/emacs.c
: #5 set_buffer_internal_1 at /usr/src/debug/emacs-24.1/src/buffer.c
: #6 set_buffer_internal at /usr/src/debug/emacs-24.1/src/buffer.c
: #7 command_loop_1 at /usr/src/debug/emacs-24.1/src/keyboard.c
: #8 internal_condition_case at /usr/src/debug/emacs-24.1/src/eval.c
: #9 command_loop_2 at /usr/src/debug/emacs-24.1/src/keyboard.c
: #10 internal_catch at /usr/src/debug/emacs-24.1/src/eval.c
: #11 command_loop at /usr/src/debug/emacs-24.1/src/keyboard.c
: #12 recursive_edit_1 at /usr/src/debug/emacs-24.1/src/keyboard.c
: #13 Frecursive_edit at /usr/src/debug/emacs-24.1/src/keyboard.c
Comment 1 Joshua Kordani 2012-09-27 09:26:20 EDT
Created attachment 618051 [details]
File: environ
Comment 2 Joshua Kordani 2012-09-27 09:26:22 EDT
Created attachment 618052 [details]
File: limits
Comment 3 Joshua Kordani 2012-09-27 09:26:24 EDT
Created attachment 618053 [details]
File: backtrace
Comment 4 Joshua Kordani 2012-09-27 09:26:25 EDT
Created attachment 618054 [details]
File: cgroup
Comment 5 Joshua Kordani 2012-09-27 09:26:27 EDT
Created attachment 618055 [details]
File: maps
Comment 6 Joshua Kordani 2012-09-27 09:26:36 EDT
Created attachment 618056 [details]
File: dso_list
Comment 7 Joshua Kordani 2012-09-27 09:26:38 EDT
Created attachment 618057 [details]
File: open_fds
Comment 8 Joshua Kordani 2012-09-27 09:26:39 EDT
Created attachment 618058 [details]
File: var_log_messages
Comment 9 Fedora Admin XMLRPC Client 2013-02-27 10:48:20 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Petr Hracek 2013-05-27 09:02:22 EDT
Hello Joshua,

what did you do with emacs before its crashing?
Some logging session issue?
Did you have run emacs --daemon?

Are there any steps how to simulate that crash?

Is this error reproducible?

Thank you
Petr
Comment 11 Fedora End Of Life 2013-07-03 22:32:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-08-01 04:35:10 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.